BLOCKDEV(8)

NOM
blockdev – Appeler les ioctls pour périphériques bloc en ligne de commande

SYNOPSIS

blockdev [-q] [-v] command [command...] device [device...]

blockdev --report [device...]

blockdev -h|-V

DESCRIPTION

L'utilitaire blockdev permet d'appeler des ioctls pour périphériques en mode bloc à partir de la ligne de commande.

OPTIONS

-q
    Pas de sortie.

-v
    Sortie détaillée.

--report
    Print a report for the specified device. It is possible to give multiple devices. If none is given, all devices which appear in /proc/partitions are shown. Note that the partition StartSec is in 512-byte sectors.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

COMMANDES

Plusieurs périphériques et plusieurs commandes peuvent être fournis.

--flushbufs
    Effacer les mémoires tampon.

--getalignoff
    Afficher l'index d'alignement.

--getbsz
    Print the blocksize in bytes. This size does not describe device topology. It’s the size used internally by the kernel and it may be modified (for example) by filesystem driver on mount.

--getdiscardzeroes
    Afficher l'état de prise en charge d'abandon des zéros.

--getfra
    Afficher le nombre de secteurs de 512 octets lus par anticipation (« readahead ») pour le système de fichiers.

--getiomin
    Afficher la taille minimale d'E/S.

--getioopt
    Afficher la taille optimale d'E/S.

--getmaxsect
    Get max sectors per request.

--getpbsz
    Afficher la taille des blocs (secteurs) physiques.

--getra
    Afficher le nombre de secteurs (512 octets) lus par anticipation.

--getro
    Afficher 1 si le périphérique est en lecture seule, 0 sinon.

--getsize64
    Afficher la taille du périphérique, en octet.

--getsize
    Print device size (32-bit!) in sectors. Deprecated in favor of the --getsz option.

--getss
    Print logical sector size in bytes - usually 512.

--getsz
    Afficher la capacité en secteurs de 512 octets.

--rereadpt
    Relire la table de partitions.

--setbsz octets
    Set blocksize. Note that the block size is specific to the current file descriptor opening the block device, so the change of block size only persists for as long as blockdev has the device open, and is lost once blockdev exits.

--setfra secteurs
    Set filesystem readahead (same as --setra on 2.6 kernels).

--setra secteurs
    Définir le nombre de secteurs (512 octets) lus par anticipation.

--setro
    Set read-only. The currently active access to the device may not be affected by the change. For example, a filesystem already mounted in read-write mode will not be affected. The change applies after remount.

--setrw
    Positionner en lecture/écriture.

AUTEURS

blockdev was written by Andries E. Brouwer and rewritten by Karel Zak.

SIGNALER DES BOGUES

For bug reports, use the issue tracker at

DISPONIBILITÉ

The blockdev command is part of the util-linux package which can be downloaded from

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.